# 개요
## 리모트 몬스터는?
RemoteMonster는 WebRTC기반의 영상/음성 통신 전문 개발 플랫폼입니다.
WebRTC를 기반으로 서비스를 구현하기 위해 필요한 대부분의 기능을 제공하고 있습니다. 특히 다양한 모바일 플랫폼의 특성을 고려한 SDK를 가장 최신의 WebRTC 표준을 준수하여 제공하고 있고 통신업을 전문으로 해야 알 수 있는 복잡한 서버구성과 기능을 기본으로 제공합니다. 또한 글로벌 통신 서비스 상황에서 있을 수 있는 다양한 이슈에 대해서도 안정적으로 서비스합니다.
RemoteMonster는 통신회사 출신의 전문 엔지니어들이 모여 개발한 통신 플랫폼으로써 거대한 통신회사나 고비용의 통신솔루션 도입 없이 렌탈하는 개념의 클라우드 기반에서 모든 통신 기능을 제공하고자 만들었습니다.

## 제품 구성
주로 모바일 앱이나 웹서비스를 운영하는 기업에게 다음과 같은 기능을 제공합니다
- 앱을 위한 SDK: 이미 운영중인 서비스 혹은 개발할 서비스에 SDK를 추가하고 몇가지 소스코드를 추가하여 통신 기능을 적용합니다. 영상, 음성 통신 뿐 아니라 방송이나 일반전화 대상 송수신 등의 기능을 제공합니다
- 안정적인 통신 서버: RemoteMonster의 SDK를 사용하는 순간 RemoteMonster의 서버가 안정적인 통신을 위해 다양한 품질 대응 서비스를 시작합니다. 글로벌 대상으로 통신을 하더라도 Skype등 훌륭한 B2C상품과 유사한 품질의 서비스를 제공합니다. 내부적으로 시그널링 서버와 TURN과 같은 릴레이 서버 그리고 품질 대응 서버등이 제공되고 있습니다. 유료 무료 고객에 따라 일부 서버는 사용에 제한이 있을 수 있습니다.

## RemoteMonster를 사용해야 하는 이유
### 비용 절감
- 개발비용: 특히 앱에 적용시 많은 분들이 브라우저에서 기본 내장된 WebRTC API를 믿고 쉽게 관련 서비스를 개발하다가 낭패를 보곤 합니다. 아직 WebRTC는 모바일 스마트폰을 지원하지 않으며 이를 위해 고숙련 개발자 2명 이상의 투입이 필요합니다.
- 운영비용: 안정적인 통신 환경을 고객에게 제공하기 위해 높은 운영 비용을 감당해야 합니다. 모바일 상황에서 통신은 때때로 불안정할 수 있고 글로벌 통신시 장애 대응 방안도 마련해야합니다. 무엇보다 수없이 많은 통신 예외 상황에 대한 처리 비용은 매우 높습니다.
품질
- 세계 최고의 미디어엔진: 글로벌 수준의 미디어엔진과 코덱을 가장 최신의 버전으로 제공합니다. WebRTC의 내장엔진은 현재 가장 빨리 발전하고 있는 미디어엔진이며 RemoteMonster는 WebRTC의 미디어엔진을 가장 빨리 제공합니다.
- 글로벌 통신 안정성: 리모트몬스터의 시그널 서버 및 릴레이 서버는 모두 글로벌 Region에서 서비스되고 있기에 세계 어디에서 통화를 하든 가장 최상의 통화 품질을 제공합니다.
- 확실한 기술지원: 통신 인프라 서비스는 무엇보다 즉각적인 기술 지원이 필수입니다. 언제 어디서나 어떤 환경에서든 장애는 일어날 수 있습니다. 문제는 그것을 누가 언제 어떻게 대응하느냐 하는 것입니다. 리모트몬스터는 한국에서 가장 빠른 기술 지원 인력과 환경을 제공하고 있습니다.
### 기능
- 가장 폭넓은 모바일 플랫폼 지원: 리모트몬스터는 WebRTC가 현재 지원할 수 있는 범위를 뛰어넘어 모바일과 IoT로 그 지원 범위를 확장하고 있습니다. 크롬이나 Firefox같이 WebRTC를 지원하는 표준 브라우저뿐 아니라 네이버의 웨일과 같은 브라우저, 마이크로소프트의 Edge같은 브라우저와의 호환성도 보장합니다. 또한 안드로이드나 iOS 역시 완벽하게 네이티브로 지원합니다.
- 전화통화 지원: 리모트몬스터는 앱과 웹간의 통화뿐 아니라 전화통화 기능도 제공합니다. 즉 앱에서 일반 전화나 휴대폰으로 전화를 걸고 앱에서 전화를 받을 수도 있습니다.
모니터링 기능: 모든 통화 트랜잭션의 상태를 실시간으로 또는 통계적으로 모니터링할 수 있습니다.
- 녹화 기능: 필요하다면 통화 내용을 녹화하여 지속적으로 보관하는 것도 가능합니다. 앱 내에서 녹화하는 기능과 서비스 서버에서 녹화하는 기능등을 제공합니다.

## 특장점
### 플랫폼 지원
- 최신의 플랫폼 지원: WebRTC 엔진인 Chrominum 6개월 이내의 최신 버전을 제공하여 호환성과 성능 및 품질 최고를 경험.
- 최신의 표준 지원: WebRTC 1.0을 가장 빠르게 지원(WebRTC 1.0 CR 기준)
- 가장 다양한 플랫폼 및 최신의 언어 지원: Android, iOS(Objective C, Swift 3.0), Chrome/Firefox/Edge/Whale ( promise 방식, ES6 준수), 국내환경에서 가장 많은 플렛폼 지원
### 품질
- Global 통신 인프라 지원: 국내 뿐 아니라 Global한 통신에 대한 레퍼런스 및 경험 확보
- 속도: 국내에서 가장 빠른 Setup time. 평균 1초 미만의 Setup time 보장(국내, Browser 기준)
- 품질: 모바일 기기의 성능에 따른 다양한 성능 옵션 선택 가능. 네트워크 상황에 따른 지능적인 동적 품질 적용 엔진. 다양한 코덱 선택 가능(영상: VP8, VP9, H.264, 음성: G.711, Opus(Stereo), ISAC(Mono)
### 개발 용이성
- WebRTC 체계를 만드는데 1달 가까이 걸리는 시간을 절약하고 바로 시작
- Simple한 개발 방식: 3 line(JS), 10 line(Android)
- Config → Connect 2단계로 개발하는 가장 쉬운 ᅟWebRTC 코드

## 적용 가능 서비스
- 영어회화, 공부방, 교육 서비스
- 뷰티 서비스
- 운세 서비스
- 상담 서비스
- IoT 등 기기연동 서비스
- O2O, 옴니채널 서비스
